Package com.orbbec.obsensor

## Class DepthFrame

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.VideoFrame
      - - com.orbbec.obsensor.DepthFrame

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class DepthFrame
    extends VideoFrame

Depth Streaming DataFrame

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getValueScale()` Get the value scale of the depth frame, the unit is mm/step, such as valueScale=0.1, the pixel value of a certain coordinate is pixelValue=10000, it means the depth value, value = pixelValue*valueScale = 10000*0.1=1000mm.

### Methods inherited from class com.orbbec.obsensor.VideoFrame

`getHeight, getPixelAvailableBitSize, getWidth`

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getValueScale

    public float getValueScale()

Get the value scale of the depth frame, the unit is mm/step, such as valueScale=0.1, the pixel value of a certain coordinate is pixelValue=10000, it means the depth value, value = pixelValue*valueScale = 10000*0.1=1000mm.

Returns:
  A scale value of depth frame